Index: tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html
===================================================================
--- tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html	(revision 2955)
+++ tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html	(revision 2956)
@@ -80,7 +80,7 @@
         }
         .toggle
         {
-            display: none;
+            display: block;
         }
         .options
         {
@@ -98,33 +98,25 @@
    image_open.src = "images/open.gif";
    var image_closed = new Image();
    image_closed.src = "images/closed.gif";
-   
+
+   function GEBY(d, i) { return d.getElementById ? d.getElementById(i) : document.all ? document.all[i] : 0 }
+
    function toggle(image, section) {
-   
-      if(document.all) {
-        if(document.all[section].style.display == "block") {
-           document.all[section].style.display = "none";
-           document.all[image].src = image_closed.src;
-        }
-        else
-        {              
-           document.all[section].style.display = "block";
-           document.all[image].src = image_open.src;
-        }
-      }
-      else
+
+      if (section = GEBY(document, section))
       {
-      if(document.getElementById(section).style.display == "block") {
-         document.getElementById(section).style.display = "none";
-         document.getElementById(image).src = image_closed.src;
+         image = GEBY(document, image);
+         if (section.style.display != "none")
+         {
+            section.style.display = "none";
+            image.src = image_closed.src;
          }
-      else
-         {              
-         document.getElementById(section).style.display = "block";
-         document.getElementById(image).src = image_open.src;
+         else
+         {
+            section.style.display = "block";
+            image.src = image_open.src;
          }
       }
-   
    }
 
    function expandall() {
@@ -151,11 +143,17 @@
 
    }
 
+   function onDocLoad() {
+
+      toggle('trigger_scr', 'toggle_scr');
+      toggle('trigger_lic', 'toggle_lic');
+   }
+
 //]]>
     </script>
 
 </head>
-<body>
+<body onLoad="onDocLoad()">
     <table width="750" class="maintable" cellspacing="0" cellpadding="0" align="center">
         <tr>
             <td>
@@ -180,18 +178,16 @@
                             the setup wizard is closed (for example, whether the application should be started
                             immediately). A finish page can also be used to ask for a system restart is necessary.</p>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_scr" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_scr" src="images/open.gif"
                                 onclick="toggle('trigger_scr', 'toggle_scr');" />
                             Screenshots</h3>
                         <div class="toggle" id="toggle_scr">
-                            <p>
-                                <img src="images/screen1.png" width="503" height="393" alt="" /></p>
-                            <p>
-                                <img src="images/screen2.png" width="503" height="393" alt="" /></p>
+                            <p><img src="images/screen1.png" width="503" height="393" alt="" /></p>
+                            <p><img src="images/screen2.png" width="503" height="393" alt="" /></p>
                         </div>
                     </div>
                     <h1>
-                        Modern UI 2.0</h1>
+                        Modern UI 2.1</h1>
                     <div>
                         <p>
                             This new version makes it easier to customize pages, because the same method can
@@ -254,12 +250,12 @@
 !define MUI_INSTFILESPAGE_COLORS &quot;FFFFFF 000000&quot; ;Two colors
 </pre>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_in" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_in" src="images/open.gif"
                                         onclick="toggle('trigger_in', 'toggle_in');" />
                                     Interface settings</h3>
                                 <div class="toggle" id="toggle_in">
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_ingen" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_ingen" src="images/open.gif"
                                             onclick="toggle('trigger_ingen', 'toggle_ingen');" />
                                         Page header</h3>
                                     <div class="toggle" id="toggle_ingen">
@@ -282,11 +278,23 @@
                                                 <em>Default: ${NSISDIR}\Contrib\Graphics\Header\nsis.bmp</em></p>
                                             <div class="settings">
                                                 <p>
-                                                    <strong>MUI_HEADERIMAGE_BITMAP_NOSTRETCH</strong><br />
-                                                    Do not stretch the installer header bitmap to fit the size of the field. Use this
-                                                    option only if you have an image that does not use the whole space. If you have
-                                                    a full size bitmap that fits exactly, you should not use this option because the
-                                                    size of the field will be different if the user has a custom DPI setting.</p>
+                                                    <strong>MUI_HEADERIMAGE_BITMAP_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                    <ul>
+                                                    <li><p><strong>FitControl</strong> (Default)<br />
+                                                    Stretch the image to fit the image control.</p>
+                                                    <li><p><strong>NoStretchNoCropNoAlign</strong><br />
+                                                    Do not stretch the image to fit the size of the image control.
+                                                    You should not use this option if you have a full size bitmap that fits exactly because
+                                                    the size of the field will be different if the user has a custom DPI setting or
+                                                    if the installer is using a CJK language.</p>
+                                                    <li><p><strong>NoStretchNoCrop</strong><br />
+                                                    This is similar to NoStretchNoCropNoAlign but will align the image to the right edge when 
+                                                    using a RTL language or if MUI_HEADERIMAGE_RIGHT is defined.</p>
+                                                    <li><p><strong>AspectFitHeight</strong><br />
+                                                    Scale the image up or down until it is the same height as the image control while 
+                                                    maintaining the image aspect ratio.</p>
+                                                    </ul>
+                                                </p>
                                                 <p>
                                                     <strong>MUI_HEADERIMAGE_BITMAP_RTL</strong> <span class="parameter">bmp_file</span><br />
                                                     Bitmap image to display on the header of installers pages when using a RTL language
@@ -294,12 +302,8 @@
                                                     <em>Default: Non-RTL bitmap</em></p>
                                                 <div class="settings">
                                                     <p>
-                                                        <strong>MUI_HEADERIMAGE_BITMAP_RTL_NOSTRETCH</strong><br />
-                                                        Do not stretch the installer header bitmap when using a RTL language to fit the
-                                                        size of the field. Use this option only if you have an image that does not use the
-                                                        whole space. If you have a full size bitmap that fits exactly, you should not use
-                                                        this option because the size of the field will be different if the user has a custom
-                                                        DPI setting.</p>
+                                                        <strong>MUI_HEADERIMAGE_BITMAP_RTL_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                        See MUI_HEADERIMAGE_BITMAP_STRETCH for a list of the available stretch modes.</p>
                                                 </div>
                                             </div>
                                             <p>
@@ -309,11 +313,8 @@
                                                 <em>Default: Installer header bitmap</em></p>
                                             <div class="settings">
                                                 <p>
-                                                    <strong>MUI_HEADERIMAGE_UNBITMAP_NOSTRETCH</strong><br />
-                                                    Do not stretch the uninstaller header bitmap to fit the size of the field. Use this
-                                                    option only if you have an image that does not use the whole space. If you have
-                                                    a full size bitmap that fits exactly, you should not use this option because the
-                                                    size of the field will be different if the user has a custom DPI setting.</p>
+                                                    <strong>MUI_HEADERIMAGE_UNBITMAP_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                    See MUI_HEADERIMAGE_BITMAP_STRETCH for a list of the available stretch modes.</p>
                                                 <p>
                                                     <strong>MUI_HEADERIMAGE_UNBITMAP_RTL</strong> <span class="parameter">bmp_file</span><br />
                                                     Bitmap image to display on the header of uninstallers pages when using a RTL language
@@ -321,12 +322,8 @@
                                                     <em>Default: Installer RTL header bitmap</em></p>
                                                 <div class="settings">
                                                     <p>
-                                                        <strong>MUI_HEADERIMAGE_UNBITMAP_RTL_NOSTRETCH</strong><br />
-                                                        Do not stretch the uninstaller header bitmap when using a RTL language to fit the
-                                                        size of the field. Use this option only if you have an image that does not use the
-                                                        whole space. If you have a full size bitmap that fits exactly, you should not use
-                                                        this option because the size of the field will be different if the user has a custom
-                                                        DPI setting.</p>
+                                                        <strong>MUI_HEADERIMAGE_UNBITMAP_RTL_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                        See MUI_HEADERIMAGE_BITMAP_STRETCH for a list of the available stretch modes.</p>
                                                 </div>
                                             </div>
                                             <p>
@@ -342,9 +339,13 @@
                                             <strong>MUI_HEADER_TRANSPARENT_TEXT</strong><br />
                                             Set a transparent background for the header's label controls. Useful for custom
                                             user interfaces that set a bigger header image.</p>
+                                        <p>
+                                            <strong>MUI_TEXTCOLOR</strong> <span class="parameter">(color: RRGGBBR hexadecimal)</span><br />
+                                            Text color for the header, the Welcome page and the Finish page.<br />
+                                            <em>Default: 000000</em></p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inres" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inres" src="images/open.gif"
                                             onclick="toggle('trigger_inres', 'toggle_inres');" />
                                         Interface resources</h3>
                                     <div class="toggle" id="toggle_inres">
@@ -375,7 +376,7 @@
                                             <em>Default: ${NSISDIR}\Contrib\UIs\modern_nodesc.exe</em></p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inwf" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inwf" src="images/open.gif"
                                             onclick="toggle('trigger_inwf', 'toggle_inwf');" />
                                         Installer welcome/finish page</h3>
                                     <div class="toggle" id="toggle_inwf">
@@ -385,15 +386,12 @@
                                             <em>Default: ${NSISDIR}\Contrib\Graphics\Wizard\win.bmp</em></p>
                                         <div class="settings">
                                             <p>
-                                                <strong>MUI_WELCOMEFINISHPAGE_BITMAP_NOSTRETCH</strong><br />
-                                                Do not stretch the bitmap for the Welcome and Finish page to fit the size of the
-                                                field. Use this option only if you have an image that does not use the whole space.
-                                                If you have a full size bitmap that fits exactly, you should not use this option
-                                                because the size of the field will be different if the user has a custom DPI setting.</p>
+                                                <strong>MUI_WELCOMEFINISHPAGE_BITMAP_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                See MUI_HEADERIMAGE_BITMAP_STRETCH for a list of the available stretch modes.</p>
                                         </div>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inuwf" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inuwf" src="images/open.gif"
                                             onclick="toggle('trigger_inuwf', 'toggle_inuwf');" />
                                         Uninstaller welcome/finish page</h3>
                                     <div class="toggle" id="toggle_inuwf">
@@ -403,15 +401,12 @@
                                             <em>Default: ${NSISDIR}\Contrib\Graphics\Wizard\win.bmp</em></p>
                                         <div class="settings">
                                             <p>
-                                                <strong>MUI_UNWELCOMEFINISHPAGE_BITMAP_NOSTRETCH</strong><br />
-                                                Do not stretch the bitmap for the Welcome and Finish page to fit the size of the
-                                                field. Use this option only if you have an image that does not use the whole space.
-                                                If you have a full size bitmap that fits exactly, you should not use this option
-                                                because the size of the field will be different if the user has a custom DPI setting.</p>
+                                                <strong>MUI_UNWELCOMEFINISHPAGE_BITMAP_STRETCH</strong> <span class="parameter">mode</span><br />
+                                                See MUI_HEADERIMAGE_BITMAP_STRETCH for a list of the available stretch modes.</p>
                                         </div>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inl" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inl" src="images/open.gif"
                                             onclick="toggle('trigger_inl', 'toggle_inl');" />
                                         License page</h3>
                                     <div class="toggle" id="toggle_inl">
@@ -424,7 +419,7 @@
                                             <em>Default: /windows</em></p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inc" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inc" src="images/open.gif"
                                             onclick="toggle('trigger_inc', 'toggle_inc');" />
                                         Components page</h3>
                                     <div class="toggle" id="toggle_inc">
@@ -441,7 +436,7 @@
                                             No description area.</p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_ind" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_ind" src="images/open.gif"
                                             onclick="toggle('trigger_ind', 'toggle_ind');" />
                                         Directory page</h3>
                                     <div class="toggle" id="toggle_ind">
@@ -450,7 +445,7 @@
                                             The background color for the directory textbox.</p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_ins" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_ins" src="images/open.gif"
                                             onclick="toggle('trigger_ins', 'toggle_ins');" />
                                         Start Menu folder page</h3>
                                     <div class="toggle" id="toggle_ins">
@@ -459,7 +454,7 @@
                                             The background color for the startmenu directory list and textbox.</p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_ini" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_ini" src="images/open.gif"
                                             onclick="toggle('trigger_ini', 'toggle_ini');" />
                                         Installation page</h3>
                                     <div class="toggle" id="toggle_ini">
@@ -475,7 +470,7 @@
                                             <em>Default: smooth</em></p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inf" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inf" src="images/open.gif"
                                             onclick="toggle('trigger_inf', 'toggle_inf');" />
                                         Installer finish page</h3>
                                     <div class="toggle" id="toggle_inf">
@@ -485,7 +480,7 @@
                                             log.</p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_uinf" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_uinf" src="images/open.gif"
                                             onclick="toggle('trigger_uinf', 'toggle_uinf');" />
                                         Uninstaller finish page</h3>
                                     <div class="toggle" id="toggle_uinf">
@@ -495,7 +490,7 @@
                                             log.</p>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inaw" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inaw" src="images/open.gif"
                                             onclick="toggle('trigger_inaw', 'toggle_inaw');" />
                                         Abort warning</h3>
                                     <div class="toggle" id="toggle_inaw">
@@ -512,7 +507,7 @@
                                         </div>
                                     </div>
                                     <h3>
-                                        <img class="trigger" alt="Open/Close section" id="trigger_inuaw" src="images/closed.gif"
+                                        <img class="trigger" alt="Open/Close section" id="trigger_inuaw" src="images/open.gif"
                                             onclick="toggle('trigger_inuaw', 'toggle_inuaw');" />
                                         Uninstaller abort warning</h3>
                                     <div class="toggle" id="toggle_inuaw">
@@ -571,7 +566,7 @@
                             MUI_UNPAGE_INSTFILES<br />
                             MUI_UNPAGE_FINISH</p>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_pg" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_pg" src="images/open.gif"
                                 onclick="toggle('trigger_pg', 'toggle_pg');" />
                             Page settings</h3>
                         <div class="toggle" id="toggle_pg">
@@ -601,7 +596,7 @@
                                     In all text settings, the doublequote character (&quot;) should be escaped in the
                                     following form: $\&quot;</p>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgg" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgg" src="images/open.gif"
                                         onclick="toggle('trigger_pgg', 'toggle_pgg');" />
                                     General page settings</h3>
                                 <div class="toggle" id="toggle_pgg">
@@ -613,7 +608,7 @@
                                         Subtext to display on the header of the page.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgw" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgw" src="images/open.gif"
                                         onclick="toggle('trigger_pgw', 'toggle_pgw');" />
                                     Welcome page settings</h3>
                                 <div class="toggle" id="toggle_pgw">
@@ -628,7 +623,7 @@
                                         Text to display on the page.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgl" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgl" src="images/open.gif"
                                         onclick="toggle('trigger_pgl', 'toggle_pgl');" />
                                     License page settings</h3>
                                 <div class="toggle" id="toggle_pgl">
@@ -663,7 +658,7 @@
                                     </div>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgc" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgc" src="images/open.gif"
                                         onclick="toggle('trigger_pgc', 'toggle_pgc');" />
                                     Components page settings</h3>
                                 <div class="toggle" id="toggle_pgc">
@@ -684,7 +679,7 @@
                                         Text to display inside the description box when no section is selected.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgd" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgd" src="images/open.gif"
                                         onclick="toggle('trigger_pgd', 'toggle_pgd');" />
                                     Directory page settings</h3>
                                 <div class="toggle" id="toggle_pgd">
@@ -704,7 +699,7 @@
                                         GetInstDirError in the leave function to handle an invalid folder.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgs" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgs" src="images/open.gif"
                                         onclick="toggle('trigger_pgs', 'toggle_pgs');" />
                                     Start Menu folder page settings</h3>
                                 <div class="toggle" id="toggle_pgs">
@@ -736,7 +731,7 @@
 </pre>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgi" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgi" src="images/open.gif"
                                         onclick="toggle('trigger_pgi', 'toggle_pgi');" />
                                     Installation page settings</h3>
                                 <div class="toggle" id="toggle_pgi">
@@ -758,7 +753,7 @@
                                         been aborted.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgf" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgf" src="images/open.gif"
                                         onclick="toggle('trigger_pgf', 'toggle_pgf');" />
                                     Finish page settings</h3>
                                 <div class="toggle" id="toggle_pgf">
@@ -850,7 +845,7 @@
                                         this option to save some space if you are not using the /REBOOTOK flag or SetRebootFlag.</p>
                                 </div>
                                 <h3>
-                                    <img class="trigger" alt="Open/Close section" id="trigger_pgu" src="images/closed.gif"
+                                    <img class="trigger" alt="Open/Close section" id="trigger_pgu" src="images/open.gif"
                                         onclick="toggle('trigger_pgu', 'toggle_pgu');" />
                                     Uninstall confirm page settings</h3>
                                 <div class="toggle" id="toggle_pgu">
@@ -860,6 +855,10 @@
                                     <p>
                                         <strong>MUI_UNCONFIRMPAGE_TEXT_LOCATION</strong> <span class="parameter">text</span><br />
                                         Text to display next to the uninstall location text box.</p>
+                                    <p>
+                                        <strong>MUI_UNCONFIRMPAGE_VARIABLE</strong> <span class="parameter">variable</span><br />
+                                        Variable in which to store the uninstall source folder.<br />
+                                        <em>Default: $INSTDIR</em></p>
                                 </div>
                         </div>
                     </div>
@@ -884,7 +883,7 @@
                             start faster. Include reserve file commands for such files before your sections
                             and functions:</p>
                         <pre>
-ReserveFile MyPlugin.dll
+ReserveFile /plugin MyPlugin.dll
 !insertmacro MUI_RESERVEFILE_LANGDLL ;Language selection dialog
 ...
 </pre>
@@ -962,7 +961,7 @@
                         <p>
                             This macro can also be used in the un.onInit function.</p>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_lss" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_lss" src="images/open.gif"
                                 onclick="toggle('trigger_lss', 'toggle_lss');" />
                             Settings for registry storage of selected language</h3>
                         <div class="toggle" id="toggle_lss">
